RBD-REPLAY(8)

NAME
rbd-replay - replay rados block device (RBD) workloads

SYNOPSIS
rbd-replay [ options ] replay_file

DESCRIPTION

rbd-replay is a utility for replaying rados block device (RBD) workloads.

OPTIONS

-c ceph.conf, --conf ceph.conf
    Use ceph.conf configuration file instead of the default /etc/ceph/ceph.conf to determine monitor addresses during startup.

-p pool, --pool pool
    Interact with the given pool. Defaults to 'rbd'.

--latency-multiplier
    Multiplies inter-request latencies. Default: 1.

--read-only
    Only replay non-destructive requests.

--map-image rule
    Add a rule to map image names in the trace to image names in the replay cluster. A rule of image1@snap1=image2@snap2 would map snap1 of image1 to snap2 of image2.

EXAMPLES

To replay workload1 as fast as possible:

rbd-replay --latency-multiplier=0 workload1

To replay workload1 but use test_image instead of prod_image:

rbd-replay --map-image=prod_image=test_image workload1

AVAILABILITY

rbd-replay is part of the Ceph distributed storage system. Please refer to the Ceph documentation at http://ceph.com/docs for more information.

SEE ALSO

ceph(8), rbd(8)

COPYRIGHT
2010-2014, Inktank Storage, Inc. and contributors. Licensed under Creative Commons BY-SA